#include "init.h"

#define One_Wire_Read_ROM		0x33
#define One_Wire_Skip_ROM		0xCC
#define One_Wire_Search_ROM		0xF0
#define One_Wire_Match_ROM		0x55

/* Errors code
One_Wire_Success		0x00
One_Wire_Error_No_Echo	0x01
One_Wire_Bus_Low_Error	0x02
One_Wire_Device_Busy	0x03
One_Wire_CRC_Error		0x04
*/

unsigned int One_Wire_Reset();
void One_Wire_Write_Byte(unsigned char Byte);
unsigned char One_Wire_Read_Byte();
unsigned char One_Wire_Read_Bit();
void One_Wire_Write_Bit (unsigned char Bit);

void Read_DS();
