/*  09/01/2021
 *  Author: Oxford Electronics
 *  DS3231 driver
 */
 
#include "stm32f10x.h"

#define		ds3231_addr			0xD0

#define		ds3231_sec			0x00
#define		ds3231_min			0x01
#define		ds3231_hour			0x02
#define		ds3231_weekday  0x03
#define		ds3231_date			0x04
#define		ds3231_month		0x05
#define		ds3231_year			0x06

#define		ds3231_control  0x0E

void ds3231_init(uint8_t t_meas, uint8_t out); // 
void ds3231_set_time(uint8_t hour,uint8_t min,uint8_t sec); //  
void ds3231_get_time(uint8_t *hour,uint8_t *min,uint8_t *sec); //  
void ds3231_set_date(uint8_t day, uint8_t month, uint8_t year); //  
void ds3231_get_date(uint8_t *day, uint8_t *month, uint8_t *year); //  
